Bug 1674562 - dnf not parsing default state of comps group correctly
Summary: dnf not parsing default state of comps group correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Daniel Mach
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:13 UTC by Josh Boyer
Modified: 2020-11-14 10:55 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.7-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:12 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:20 UTC

Description Josh Boyer 2019-02-11 16:13:33 UTC
Description of problem:

When attempting to have the anaconda Software Selection spoke display an "Add-on" for an environment selected by default (checked in the GUI), we ran into an issue where dnf/libcomps doesn't appear to return the right value for such a group.

anaconda is using the base dnf class to see if groups are set to default.  In a test compose, we have the headless-management group defined as:

<group>
  <id>headless-management</id>
  <name>Headless Management</name>
  <description> Tools for managing the system without an attached graphical console.
  </description>
  <default>true</default>
  <uservisible>true</uservisible>
  <packagelist>
    <packagereq type="mandatory">cockpit-bridge</packagereq>
    <packagereq type="mandatory">cockpit-system</packagereq>
    <packagereq type="mandatory">cockpit-ws</packagereq>
    <packagereq type="mandatory">openssh-server</packagereq>
  </packagelist>
</group>

The group is also listed in the <optionlist> section of the environment.  When looking at the GUI, the headless management add-on is not selected, even though it should be.

Version-Release number of selected component (if applicable):

dnf-4.0.9.2-4.el8.noarch
libcomps-0.1.8-13.el8.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Start an installation via anaconda, point it at a repo that has an addon with <default>true</default> defined
2. Go to the Software Spoke
3.

Actual results:
add-on not selected by default

Expected results:
add-on selected by default

Additional info:

I've copied Martin Kolman from the anaconda team, who can help with how the anaconda code flow works as needed.

I also tried specifying <default>True</default> in case it was a case-sensitive issue, but it appears the compose tooling changed it back to "true" in the output comps.xml file.

Comment 8 errata-xmlrpc 2019-11-05 22:21:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.